package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 任务类型
 * </p>
 *
 * @author mk
 * @since 2022-10-14
 */
@TableName("task_type")
@ApiModel(value="TaskType对象", description="任务类型")
public class TaskType extends Model<TaskType> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "任务触发描述")
    @TableField("trigger_desc")
    private String triggerDesc;

    @ApiModelProperty(value = "任务名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "任务类别(0:设备维护类;1:人流;2:定时)")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "任务描述/要求")
    @TableField("details")
    private String details;

    @ApiModelProperty(value = "任务积分")
    @TableField("point")
    private Integer point;

    @ApiModelProperty(value = "任务核减积分")
    @TableField("subpoint")
    private Integer subpoint;

    @ApiModelProperty(value = "积分状态0：未启用，1：已启用")
    @TableField("point_status")
    private Integer pointStatus;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "状态（0:停用;1:启用）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "过期类型（0:不过期;1:第二天过期;2:指定时间过期）")
    @TableField("expire_type")
    private Integer expireType;

    @ApiModelProperty(value = "池排序")
    @TableField("pool_order")
    private Integer poolOrder;

    @ApiModelProperty(value = "组排序")
    @TableField("group_order")
    private Integer groupOrder;

    @ApiModelProperty(value = "任务排序")
    @TableField("task_order")
    private Integer taskOrder;

    @ApiModelProperty(value = "通知开关")
    @TableField("notice_flag")
    private Integer noticeFlag;

    @ApiModelProperty(value = "任务发布开关")
    @TableField("task_flag")
    private Integer taskFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getTriggerDesc() {
        return triggerDesc;
    }

    public void setTriggerDesc(String triggerDesc) {
        this.triggerDesc = triggerDesc;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public Integer getPoint() {
        return point;
    }

    public void setPoint(Integer point) {
        this.point = point;
    }

    public Integer getSubpoint() {
        return subpoint;
    }

    public void setSubpoint(Integer subpoint) {
        this.subpoint = subpoint;
    }

    public Integer getPointStatus() {
        return pointStatus;
    }

    public void setPointStatus(Integer pointStatus) {
        this.pointStatus = pointStatus;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getExpireType() {
        return expireType;
    }

    public void setExpireType(Integer expireType) {
        this.expireType = expireType;
    }

    public Integer getPoolOrder() {
        return poolOrder;
    }

    public void setPoolOrder(Integer poolOrder) {
        this.poolOrder = poolOrder;
    }

    public Integer getGroupOrder() {
        return groupOrder;
    }

    public void setGroupOrder(Integer groupOrder) {
        this.groupOrder = groupOrder;
    }

    public Integer getTaskOrder() {
        return taskOrder;
    }

    public void setTaskOrder(Integer taskOrder) {
        this.taskOrder = taskOrder;
    }

    public Integer getNoticeFlag() {
        return noticeFlag;
    }

    public void setNoticeFlag(Integer noticeFlag) {
        this.noticeFlag = noticeFlag;
    }

    public Integer getTaskFlag() {
        return taskFlag;
    }

    public void setTaskFlag(Integer taskFlag) {
        this.taskFlag = taskFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TaskType{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", triggerDesc=" + triggerDesc +
        ", name=" + name +
        ", type=" + type +
        ", details=" + details +
        ", point=" + point +
        ", subpoint=" + subpoint +
        ", pointStatus=" + pointStatus +
        ", sort=" + sort +
        ", status=" + status +
        ", expireType=" + expireType +
        ", poolOrder=" + poolOrder +
        ", groupOrder=" + groupOrder +
        ", taskOrder=" + taskOrder +
        ", noticeFlag=" + noticeFlag +
        ", taskFlag=" + taskFlag +
        "}";
    }
}
